Name:		partitionmanager
Version:	3.0.1
Release:	%mkrel 1
Summary:	KDE Partition Manager
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.kde.org/applications/system/kdepartitionmanager/
Source0:	http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KPMcore) >= %{version}
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	kpmcore >= %{version}

%description
KDE Partition Manager is a utility program to help you manage the disk devices,
partitions and file systems on your computer. It allows you to easily create,
copy, move, delete, resize without losing data, backup and restore partitions.

KDE Partition Manager supports a large number of file systems,
including ext2/3/4, reiserfs, NTFS, FAT16/32, jfs, xfs and more.

Starting from version 1.9.50 KDE Partition Manager has become the GUI part of
KPMcore (KDE PartitionManager core) which contain the libraries used to
manipulate filesystems.

%files -f %{name}.lang
%doc README.md CHANGES
%license COPYING.GPL3
%{_kf5_bindir}/*
%{_kf5_applicationsdir}/*PartitionManager.desktop
%{_kf5_datadir}/kxmlgui5/partitionmanager/
%{_kf5_datadir}/config.kcfg/partitionmanager.kcfg
%{_kf5_docdir}/HTML/*/partitionmanager/
%{_kf5_datadir}/appdata/*PartitionManager.appdata.xml
%{_kf5_iconsdir}/hicolor/*/*/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name} --with-kde

# Validate appdata file
appstream-util validate-relax --nonet %{buildroot}%{_kf5_datadir}/appdata/*.appdata.xml


%changelog
* Sat Jan 07 2017 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1080440
- new version: 3.0.1

* Sun Jan 01 2017 neoclust <neoclust> 3.0.0-1.mga6
+ Revision: 1078966
- New version 3.0.0

* Sun Jul 10 2016 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 1040378
- new version: 2.2.1

* Sat May 28 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1019067
- new version: 2.2.0

* Thu May 26 2016 daviddavid <daviddavid> 2.1.0-2.mga6
+ Revision: 1018695
- rebuild for new kpmcore 2.1.1

* Sun Mar 13 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 990206
- new version: 2.1.0

* Tue Jan 26 2016 daviddavid <daviddavid> 2.0.0-2.mga6
+ Revision: 927853
- add missing requires on kpmcore main package

* Tue Jan 26 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 927831
- new version: 2.0.0
- switch build to Qt5/kf5
- update URL and Source URL
- improve description

* Sun Feb 22 2015 lmenut <lmenut> 1.1.1-1.mga5
+ Revision: 816309
- Update to 1.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 744485
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 683346
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 fwang <fwang> 1.1.0-1.mga5
+ Revision: 655828
- update file list
- 1.1.0

* Fri Oct 18 2013 umeabot <umeabot> 1.0.60-0.1236311.4.mga4
+ Revision: 509034
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.60-0.1236311.3.mga3
+ Revision: 362435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 1.0.60-0.1236311.2.mga3
+ Revision: 278266
- rebuild for new parted

* Thu Feb 23 2012 juancho <juancho> 1.0.60-0.1236311.1.mga2
+ Revision: 213472
- imported package partitionmanager

